### Constructor

# Gio ThemedIcon new_with_default_fallbacks

#### Declaration [src]

    GIcon*
    g_themed_icon_new_with_default_fallbacks (
      const char* iconname
    )

#### Description [src]

Creates a new themed icon for `iconname`, and all the names that can be created by shortening `iconname` at ‘-‘ characters.

In the following example, `icon1` and `icon2` are equivalent:

    const char *names[] = {
      "gnome-dev-cdrom-audio",
      "gnome-dev-cdrom",
      "gnome-dev",
      "gnome"
    };

    icon1 = g_themed_icon_new_from_names (names, 4);
    icon2 = g_themed_icon_new_with_default_fallbacks ("gnome-dev-cdrom-audio");

#### Parameters

`iconname`

  Type: `const char*`

  A string containing an icon name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GThemedIcon`

A new `GThemedIcon`.

The caller of the function takes ownership of the data, and is responsible for freeing it.